Bug 458585 - Review Request: cwdaemon - Morse daemon for the parallel or serial port
Summary: Review Request: cwdaemon - Morse daemon for the parallel or serial port
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jason Tibbitts
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
: 433161 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-08-10 12:38 UTC by Lucian Langa
Modified: 2008-09-25 00:07 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-08-24 14:26:14 UTC
tibbs: fedora-review+
kevin: fedora-cvs+


Attachments (Terms of Use)

Description Lucian Langa 2008-08-10 12:38:58 UTC
Spec URL: http://lucilanga.fedorapeople.org/cwdaemon.spec
SRPM URL: http://lucilanga.fedorapeople.org/cwdaemon-0.9.4-7.fc9.src.rpm
Description: Cwdaemon is a small daemon which uses the pc parallel or serial port
and a simple transistor switch to output morse code to a transmitter
from a text message sent to it via the udp internet protocol.

Comment 1 Lucian Langa 2008-08-10 12:40:33 UTC
*** Bug 433161 has been marked as a duplicate of this bug. ***

Comment 2 Jason Tibbitts 2008-08-20 02:31:01 UTC
This looks OK; rpmlint has one complaint:
  cwdaemon.x86_64: W: spurious-executable-perm 
   /usr/share/doc/cwdaemon-0.9.4/cwsetup.sh
Normally documentation shouldn't be executable, but it's not really a problem as long as it doesn't cause additional dependencies.  I think in this case it causes a /bin/sh dependency which I don't really see as a problem.

You seem to be missing the %postun scriptlet; without it, the daemon will not restart itself after a package update.

* source files match upstream:
   0b26304333a1933d45814be23788295dd22fa6d80fc651a32fb12bd042b9e84e
   cwdaemon-0.9.4.tar.gz
* package meets naming and versioning guidelines.
* specfile is properly named, is cleanly written and uses macros consistently.
* summary is OK.
* description is OK.
* dist tag is present.
* build root is OK.
* license field matches the actual license.
* license is open source-compatible.
* license text included in package.
* latest version is being packaged.
* BuildRequires are proper.
* compiler flags are appropriate.
* %clean is present.
* package builds in mock (rawhide, x86_64).
* package installs properly.
* debuginfo package looks complete.
* rpmlint has acceptable complaints.
* final provides and requires are sane:
   config(cwdaemon) = 0.9.4-7.fc10
   cwdaemon = 0.9.4-7.fc10
   cwdaemon(x86-64) = 0.9.4-7.fc10
  =
   /bin/bash
   /bin/sh
   /sbin/chkconfig
   /sbin/service
   config(cwdaemon) = 0.9.4-7.fc10
   libcw.so.0()(64bit)

* %check is not present; no way to test this without the proper hardware.
* no shared libraries are added to the regular linker search paths.
* owns the directories it creates.
* doesn't own any directories it shouldn't.
* no duplicates in %files.
* file permissions are appropriate.
X scriptlets present look OK, but %postun is missing.
* initscript looks OK.
* code, not content.
* documentation is small, so no -doc subpackage is necessary.
* %docs are not necessary for the proper functioning of the package.
* no headers.
* no pkgconfig files.
* no static libraries.
* no libtool .la files.

Comment 3 Lucian Langa 2008-08-20 05:49:07 UTC
(In reply to comment #2)

> You seem to be missing the %postun scriptlet; without it, the daemon will not
> restart itself after a package update.

Added %postun and bumped version:
http://lucilanga.fedorapeople.org/cwdaemon.spec
http://lucilanga.fedorapeople.org/cwdaemon-0.9.4-8.fc9.src.rpm

Comment 4 Jason Tibbitts 2008-08-20 16:13:22 UTC
Yes, looks good now.

APPROVED

Comment 5 Lucian Langa 2008-08-20 16:17:29 UTC
New Package CVS Request
=======================
Package Name: cwdaemon
Short Description: Morse daemon for the parallel or serial port
Owners: lucilanga,bjensen
Branches: F-8 F-9 EL-5
InitialCC: 
Cvsextras Commits: yes

Comment 6 Kevin Fenzi 2008-08-23 18:03:18 UTC
cvs done.

Comment 7 Fedora Update System 2008-08-24 14:23:57 UTC
cwdaemon-0.9.4-8.fc9 has been submitted as an update for Fedora 9.
http://admin.fedoraproject.org/updates/cwdaemon-0.9.4-8.fc9

Comment 8 Fedora Update System 2008-08-24 14:25:13 UTC
cwdaemon-0.9.4-8.fc8 has been submitted as an update for Fedora 8.
http://admin.fedoraproject.org/updates/cwdaemon-0.9.4-8.fc8

Comment 9 Fedora Update System 2008-09-24 23:58:11 UTC
cwdaemon-0.9.4-8.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 10 Fedora Update System 2008-09-25 00:07:45 UTC
cwdaemon-0.9.4-8.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.